classification
Title: zipfile.Path is not included in __all__
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, barry, jaraco, miss-islington, xtreak
Priority: normal Keywords: patch

Created on 2020-03-02 19:17 by xtreak, last changed 2020-07-25 04:48 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19115 merged ZackerySpytz, 2020-03-23 11:38
PR 19116 merged miss-islington, 2020-03-23 13:30
Messages (4)
msg363199 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-03-02 19:17
Since zipfile.Path is a public API and documented it could be included in __all__ . This might be a problem for code that uses below pattern : 

from zipfile import *
from pathlib import Path

If this is accepted this can be a good beginner issue.
msg364848 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-03-23 13:29
New changeset 9a81ab107a54b8ca320fb703f7c68e14ccd9d016 by Zackery Spytz in branch 'master':
bpo-39830: Add zipfile.Path to __all__ (GH-19115)
https://github.com/python/cpython/commit/9a81ab107a54b8ca320fb703f7c68e14ccd9d016
msg369948 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-05-26 06:45
New changeset 5c1d745da5e1166a8724b619060165dcf3949e93 by Miss Islington (bot) in branch '3.8':
bpo-39830: Add zipfile.Path to __all__ (GH-19115) (GH-19116)
https://github.com/python/cpython/commit/5c1d745da5e1166a8724b619060165dcf3949e93
msg374239 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-07-25 04:48
Closing it as resolved. Thanks Zackery and jaraco.
History
Date User Action Args
2020-07-25 04:48:10xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg374239

stage: patch review -> resolved
2020-05-26 06:45:04jaracosetmessages: + msg369948
2020-03-23 13:30:18miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request18477
2020-03-23 13:29:57jaracosetmessages: + msg364848
2020-03-23 11:38:31ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request18476
stage: patch review
2020-03-02 19:17:49xtreakcreate